Add media to vault list
curl --request POST \
--url https://api.ofauth.com/v3/access/vault/lists/:listId/media \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-linked-account-id: <api-key>' \
--data '
{
"mediaIds": [
1
]
}
'import requests
url = "https://api.ofauth.com/v3/access/vault/lists/:listId/media"
payload = { "mediaIds": [1] }
headers = {
"x-linked-account-id": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-linked-account-id': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({mediaIds: [1]})
};
fetch('https://api.ofauth.com/v3/access/vault/lists/:listId/media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ofauth.com/v3/access/vault/lists/:listId/media",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'mediaIds' => [
1
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-linked-account-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ofauth.com/v3/access/vault/lists/:listId/media"
payload := strings.NewReader("{\n \"mediaIds\": [\n 1\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-linked-account-id", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.ofauth.com/v3/access/vault/lists/:listId/media")
.header("x-linked-account-id", "<api-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"mediaIds\": [\n 1\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ofauth.com/v3/access/vault/lists/:listId/media")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-linked-account-id"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"mediaIds\": [\n 1\n ]\n}"
response = http.request(request)
puts response.read_body{
"audiosCount": 123,
"canDelete": true,
"canUpdate": true,
"gifsCount": 123,
"hasMedia": true,
"id": 123,
"medias": [
{
"type": "<string>",
"url": "<string>"
}
],
"name": "<string>",
"photosCount": 123,
"type": "<string>",
"videosCount": 123
}Vault Lists
Add media to vault list
Add one or more media items to a Vault folder.
Required scope: vault:write
POST
/
v3
/
access
/
vault
/
lists
/
:listId
/
media
Add media to vault list
curl --request POST \
--url https://api.ofauth.com/v3/access/vault/lists/:listId/media \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-linked-account-id: <api-key>' \
--data '
{
"mediaIds": [
1
]
}
'import requests
url = "https://api.ofauth.com/v3/access/vault/lists/:listId/media"
payload = { "mediaIds": [1] }
headers = {
"x-linked-account-id": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-linked-account-id': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({mediaIds: [1]})
};
fetch('https://api.ofauth.com/v3/access/vault/lists/:listId/media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ofauth.com/v3/access/vault/lists/:listId/media",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'mediaIds' => [
1
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-linked-account-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ofauth.com/v3/access/vault/lists/:listId/media"
payload := strings.NewReader("{\n \"mediaIds\": [\n 1\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-linked-account-id", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.ofauth.com/v3/access/vault/lists/:listId/media")
.header("x-linked-account-id", "<api-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"mediaIds\": [\n 1\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ofauth.com/v3/access/vault/lists/:listId/media")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-linked-account-id"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"mediaIds\": [\n 1\n ]\n}"
response = http.request(request)
puts response.read_body{
"audiosCount": 123,
"canDelete": true,
"canUpdate": true,
"gifsCount": 123,
"hasMedia": true,
"id": 123,
"medias": [
{
"type": "<string>",
"url": "<string>"
}
],
"name": "<string>",
"photosCount": 123,
"type": "<string>",
"videosCount": 123
}Authorizations
Headers
Body
application/json
Was this page helpful?